Opened 7 years ago

Closed 7 years ago

#45462 closed defect (duplicate)

cmake: configure failed

Reported by: seadrian@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.3.2
Keywords: yosemite Cc:
Port: cmake

Description (last modified by ryandesign (Ryan Schmidt))

Everything works fine until:

--->  Configuring cmake
Error: org.macports.configure for port cmake returned: configure failure: command execution failed
Error: Failed to install cmake
Please see the log file for port cmake for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_devel_cmake/cmake/main.log
Error: The following dependencies were not installed: gtk2 pango harfbuzz graphite2 cmake xorg-libXcomposite xorg-compositeproto xorg-libXfixes xorg-fixesproto xorg-libXcursor xorg-libXdamage xorg-damageproto xorg-libXi xorg-libXinerama xorg-xineramaproto xorg-libXrandr xorg-randrproto xorg-libXtst xorg-recordproto
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port eiffelstudio failed

I tried it multiple times (even after reinstalling MacPorts) always the same!

Newest Version of MacPorts On OS X Yosemite!

Change History (1)

comment:1 Changed 7 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Keywords: yosemite added
Port: cmake added
Priority: HighNormal
Resolution: duplicate
Status: newclosed
Summary: Can't install Eiffelstudiocmake: configure failed

So, cmake failed to configure. You didn't show us the log that would tell us why cmake failed to configure, but since you're on Yosemite, I'm going to assume you're using Xcode less than 6.1 and that this is therefore a duplicate of #44581. Install and select Xcode 6.1 when it becomes available.

Note: See TracTickets for help on using tickets.